@media screen and (max-width: 576px) {

    :root {
        --heading: 42px;
    }

    header {
        max-width: 100%;
        overflow-x: hidden;
    }

    nav {
        display: flex;
        padding-top: 30px;
        justify-content: center;
        text-align: center;
    }

    .navbar,
    .nav-menu {
        margin-top: 25px;
        margin-bottom: 12px;
        justify-content: space-between;
        padding: 10px 20px;
    }

    .logo {
        font-size: 22px;
    }

    .navbar ul {
        display: none;
    }

    .hamburger, .shopping-cart {
        display: block;
    }


    /* Banner related styles */

    .banner-container {
        max-width: 95%;
        height: auto;
        background-position: top center;
        gap: 95px;
        flex-direction: column-reverse;
        margin-bottom: 15px;
    }


    .banner-content {
        max-width: 100%;
        text-align: center;
    }

    .banner-content h3 {
        font-size: 34px;

    }

    .banner-image,
    .banner-image img {
        max-width: 100%;
    }


    /* Sponsors related styles */

    .sponsor-container,
    .sponsor-container img {
        max-width: 100%;
    }

    .sponsor-container {
        grid-template-columns: repeat(4, 1fr);
        padding: 25px 28px;
        row-gap: 20px;
    }


    /* Card Section */

    .card-container {
        max-width: 100%;
        grid-template-columns: repeat(1, 1fr);
    }

    .card {

        transition: transform 2s linear;
        max-width: 100%;
        margin: 0 auto;


    }

    /* .card:hover {
        transform: scale(1.1);
    } */


    /* Feature Section */

    .feature-section {
        margin-top: 55px;
        max-width: 100%;
    }

    .feature-card-container {
        max-width: 100%;
        flex-direction: column-reverse;

        gap: 55px;
    }

    .feature-img img {
        max-width: 100%;
    }


    .feature-content {
        max-width: 95%;
    }

    /* Footer styles */

    footer,
    .footer-container {
        max-width: 100%;

    }




}